> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Vidu 2

Vidu 2 视频生成大模型，平衡速度与质量，主攻图生视频、首尾帧功能，支持 4 秒时长下 720P 分辨率输出。生成速度大幅提升，成本显著降低；图生视频修复变色问题，画面稳定可控适配电商等场景，首尾帧语义理解与多参考图一致性增强，成为泛娱乐、互联网、动漫短剧、广告量产的高效工具。

### 模型参数

* 模型ID：`vidu-2`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=bigmodel\&type=video)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/videos/generations`
* 模型参数：参考[视频 API 手册](https://docs.geekai.co/cn/api/video/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持视频 API 中的以下参数：

  * `negative_prompt`
  * `image_tail`
  * `resolution`
  * `quality`
  * `fps`
  * `watermark`

  附：[Vidu 2 官方 API 文档](https://docs.bigmodel.cn/cn/guide/models/video-generation/vidu2)
</Note>

只有参考生视频才支持`aspect_ratio`这个参数，可选值为：16:9, 9:16, 1:1
图生视频和参考生视频的size参数可选值为：1280x720; 首尾帧size参数可选值为：1280x720，480x360
同样支持Base64 编码的图像,在image里面ge'字段中填写图片的base64编码即可

### 图生视频

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "vidu-2",
    "prompt": "让画面动起来",
    "image": "https://img.iplaysoft.com/wp-content/uploads/2019/free-images/free_stock_photo.jpg",
    "size":"1280x720",
    "with_audio": true,
    "extra_body": {
        "movement_amplitude": "auto"
    }
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "vidu-2",
    "task_id": "cc8ba53a-2be5-4a1e-a5db-a224b69d5a49",
    "task_status": "succeed",
    "video_result": [
        {
            "id": "2d394aa2-fef5-436d-9b72-2d783092fd78",
            "url": "https://static.geekai.co/video/2026/02/25/8951c2ef20d4d3477b2910a4c48aa6d7.mp4"
        }
    ]
}
```

下面视频生成响应结构是一样的，不再列举。

### 首尾帧

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "vidu-2",
    "prompt": "让画面动起来", 
    "image": ["https://cdn.bigmodel.cn/markdown/1752547801491cogvideo4.png", "https://cdn.bigmodel.cn/markdown/1752547813297cogvideo5.png"],
    "size": "1280x720",
    "with_audio": true,
    "extra_body": {
        "movement_amplitude": "auto"
    }
}'
```

### 参考生视频

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "vidu-2",
    "prompt":"[图1]戴着眼镜穿着蓝色T恤的男生和[图2]的柯基小狗，坐在[图3]的草坪上，3D卡通风格",
    "image":[
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seelite_ref_1.png",
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seelite_ref_2.png",
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seelite_ref_3.png"
    ],
    "aspect_ratio": "16:9",
    "size": "1280x720",
    "with_audio": true,
    "extra_body": {
        "movement_amplitude": "auto"
    }
}'
```
